//////////////////////////////////////////////////////////////////////
// indycam.h
// 
// The header file for the IndyCam driver.
//////////////////////////////////////////////////////////////////////

#ifndef _INDYCAM_H_
#define _INDYCAM_H_
typedef enum {COLOR, BW} imageType;

void error_exit(void);
void openCamera(int xsize, int ysize);
void setupCamera(imageType imtype);
void beginImageTransfer(void);
char *waitForNextImage(void);
void freeImage(void);
void endImageTransfer(void);
void closeCamera(void);

#endif

